# svs_tracking.translation.translator

#    Copyright (c) 2005 Simon Yuill.
#
#    This file is part of 'Social Versioning System' (SVS).
#
#    'Social Versioning System' is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    'Social Versioning System' is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with 'Social Versioning System'; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
Generic translation classes and functions.

@author:	Simon Yuill
@copyright:	2005 Simon Yuill
@license:	GNU GPL version 2 or any later version
@contact:	simon@lipparosa.org
"""


class Translator:
	"""
	Base class for all translator objects.
	"""
	def __init__(self, cvsDataSource=None, destination=None):
		self.cvsDataSource = cvsDataSource
		self.destination = destination
	
	def setDestinationObject(self, destination):
		self.destination = destination

	def translate(self, sourceData):
		"""
		Basic translation 'hook' method, this should be
		implemented by all translator objects.
		"""
		pass
