# svs_demogame.wikiclients

#    Copyright (c) 2005 Simon Yuill.
#
#    This file is part of 'Social Versioning System' (SVS).
#
#    'Social Versioning System' is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    'Social Versioning System' is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with 'Social Versioning System'; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
An early test for a client with wiki integration.

This will probably be deprecated in later versions.


@author:	Simon Yuill
@copyright:	2005 Simon Yuill
@license:	GNU GPL version 2 or any later version
@contact:	simon@lipparosa.org
"""
# external imports
from twisted.web.client import getPage

# internal imports
from svs_demogame.clients import GUIPlayerClient
from svs_demogame.utils import demo_const
from svs_core.commands.scriptcommands import *
from svs_core.network.packets import *
from svs_core.utilities.constants import svs_const


class WikiClient(GUIPlayerClient):
	"""
	Test client that communicates with wiki engine.
	"""
	def __init__(self, name, passwd):
		GUIPlayerClient.__init__(self, name, passwd)


	def getURL(self, url):
		"""
		Retrieves url from wiki.
		"""
		print "getURL:", url
		getPage(url).addCallbacks(callback=self.webResult_getURL, errback=self.webError_getURL)

	def webResult_getURL(self, result):
		"""
		Handles result of L{getURL}.
		"""
		self.statusMessage("_____PAGE____\n\n%s" % result)

	def webError_getURL(self, result):
		"""
		Handles result of L{getURL}.
		"""
		self.errorMessage(result)


	#########################
	# PRIVATE SCRIPT COMMANDS
	#########################
	def cmdprivate_url(self, cmd):
		"""
		Retrieves url from wiki.
		"""
		print cmd.args
		self.getURL(join(cmd.args, ''))
		return makeCommandResult(cmd, status=svs_const.OK)
