# svs_simulation.simdata.simdatalib

#    Copyright (c) 2005 Simon Yuill.
#
#    This file is part of 'Social Versioning System' (SVS).
#
#    'Social Versioning System' is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    'Social Versioning System' is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with 'Social Versioning System'; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
Classes and functions for handling data attached to simulation entities.


@author:	Simon Yuill
@copyright:	2005 Simon Yuill
@license:	GNU GPL version 2 or any later version
@contact:	simon@lipparosa.org
"""
# external imports
from time import time

# internal imports
from svs_simulation.utilities.constants import sim_const


class SimData:
	"""
	Base class for containing simulation data.
	"""
	def __init__(self):
		self.content = None

	def encode(self):
		"""
		Returns encoded representation of self.
		
		@rtype: dict
		"""
		data = {sim_const.LABEL_CONTENT:self.content}
		return data

	def decode(self, data):
		"""
		Applies encoded representation to self.
		"""
		if data.has_key(sim_const.LABEL_CONTENT):self.content = data[sim_const.LABEL_CONTENT]


